#!/usr/bin/env bash
# $Id$

JAVA_RUN="$JAVA_HOME/bin/java"

if [ "$JAVA_HOME" = "" ] ; then
  JAVA_RUN="java"
  echo "WARNING: JAVA_HOME not found in your environment."
# This should be an error according to the java guidelines, stop changing it. /ljo
#  echo
#  echo "Please, set the JAVA_HOME variable in your environment to match the"
#  echo "location of the Java Virtual Machine you want to use."
#  exit 1
fi

#if [ ! -d "$JAVA_HOME" ]; then
#    JAVA_HOME="%{JAVA_HOME}"
#fi

if [ -z "$EXIST_HOME" ]; then
    P=$(dirname $0)

    if test "$P" = "." 
    then
        EXIST_HOME="`pwd`"
    else
        EXIST_HOME="$P"
    fi
fi

ANT_HOME="$EXIST_HOME/tools/ant"

LOCALCLASSPATH="$ANT_HOME/lib/ant-launcher-1.10.2.jar"

# You must set
# -Djavax.xml.transform.TransformerFactory=org.apache.xalan.processor.TransformerFactoryImpl
# Otherwise Ant will fail to do junitreport with Saxon, as it has a direct dependency on Xalan.
# This is also true for installer target which uses {http://exslt.org/strings}tokenize(). /ljo

JAVA_OPTS="-Dant.home=$ANT_HOME -Dant.library.dir=$ANT_HOME/lib -Dexist.home=$EXIST_HOME -Djavax.xml.transform.TransformerFactory=org.apache.xalan.processor.TransformerFactoryImpl $JAVA_OPTS"

echo Starting Ant...
echo

echo "$JAVA_RUN"

"$JAVA_RUN" -Xms512m -Xmx512m "$JAVA_OPTS" -classpath "$LOCALCLASSPATH" org.apache.tools.ant.launch.Launcher $*
